Name:           scdoc
Version:        1.11.3
Release:        %mkrel 1
Summary:        Tool for generating roff manual pages
Group:          Development/Tools

License:        MIT
URL:            https://git.sr.ht/~sircmpwn/%{name}
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  sed

%description
scdoc is a tool designed to make the process of writing man pages more
friendly. It reads scdoc syntax from stdin and writes roff to stdout, suitable
for reading with man.

%prep
%setup -q

# Disable static linking
sed -i '/-static/d' Makefile

# Use INSTALL provided by the make_install macro
sed -i 's/\tinstall/\t$(INSTALL)/g' Makefile

%build
%make_build PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix}

%check
make check

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.5*
# Not shipped in a -devel package since scdoc is a development tool not
# installed in a user runtime.
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Thu Feb 22 2024 kekepower <kekepower> 1.11.3-1.mga10
+ Revision: 2043124
- Update to version 1.11.3

* Thu Oct 20 2022 ghibo <ghibo> 1.11.2-1.mga9
+ Revision: 1897836
- Update to release 1.11.2.
- Dont specify PCDIR for .pc files during make_install stage.

* Fri Mar 18 2022 umeabot <umeabot> 1.11.1-2.mga9
+ Revision: 1797848
- Mageia 9 Mass Rebuild

* Fri Mar 12 2021 daviddavid <daviddavid> 1.11.1-1.mga9
+ Revision: 1701726
- new version: 1.11.1

* Fri Oct 02 2020 shlomif <shlomif> 1.11.0-1.mga8
+ Revision: 1631804
- from fedora

